Loading...
Searching...
No Matches
ss7_linkset.h File Reference
`#include <stdint.h>`
`#include <osmocom/core/linuxlist.h>`

Go to the source code of this file.

## Data Structures

struct | osmo_ss7_linkset

## Functions

void | ss7_linkset_destroy (struct osmo_ss7_linkset *lset)
| Destroy a SS7 Linkset.
struct osmo_ss7_linkset * | ss7_linkset_find_by_name (struct osmo_ss7_instance *inst, const char *name)
| Find SS7 Linkset by given name.
struct osmo_ss7_linkset * | ss7_linkset_find_or_create (struct osmo_ss7_instance *inst, const char *name, uint32_t pc)
| Find or allocate SS7 Linkset.

## Function Documentation

## ss7_linkset_destroy()

void ss7_linkset_destroy | ( | struct osmo_ss7_linkset * | lset | ) |

Destroy a SS7 Linkset.

Parameters

  [in] | lset | Linkset to be destroyed

References osmo_ss7_linkset::cfg, osmo_ss7_linkset::inst, osmo_ss7_linkset::links, osmo_ss7_linkset::list, LOGSS7, osmo_ss7_linkset::name, osmo_ss7_instance::rtable_system, ss7_initialized, ss7_link_destroy(), and ss7_route_table_del_routes_by_linkset().

Referenced by osmo_ss7_instance_destroy().

## ss7_linkset_find_by_name()

struct osmo_ss7_linkset * ss7_linkset_find_by_name | ( | struct osmo_ss7_instance * | inst,
|  | const char * | name )

Find SS7 Linkset by given name.

Parameters

  [in] | inst | SS7 Instance in which to look
  [in] | name | Name of SS7 Linkset

Returns
  pointer to linkset on success; NULL on error

References osmo_ss7_linkset::cfg, osmo_ss7_linkset::inst, osmo_ss7_instance::linksets, osmo_ss7_linkset::list, osmo_ss7_linkset::name, and ss7_initialized.

Referenced by ss7_linkset_find_or_create(), and ss7_route_set_linkset().

## ss7_linkset_find_or_create()

struct osmo_ss7_linkset * ss7_linkset_find_or_create | ( | struct osmo_ss7_instance * | inst,
|  | const char * | name,
|  | uint32_t | pc )

Find or allocate SS7 Linkset.

Parameters

  [in] | inst | SS7 Instance in which we operate
  [in] | name | Name of SS7 Linkset
  [in] | pc | Adjacent Pointcode

Returns
  pointer to Linkset on success; NULL on error

References osmo_ss7_linkset::adjacent_pc, osmo_ss7_linkset::cfg, osmo_ss7_linkset::inst, osmo_ss7_instance::linksets, osmo_ss7_linkset::list, LOGSS7, osmo_ss7_linkset::name, ss7_initialized, and ss7_linkset_find_by_name().